# Block Storage v2 Commands

## consistency group

### consistency group add volume

Add volume(s) to consistency group

    openstack consistency group add volume
        <consistency-group>
        <volume>
        [<volume> ...]

consistency-group

  Consistency group to contain <volume> (name or ID)

volume

  Volume(s) to add to <consistency-group> (name or ID) (repeat option to add multiple volumes)

### consistency group create

Create new consistency group.

    openstack consistency group create
        (--volume-type
        <volume-type>
        |
        --source <consistency-group>
        |
        --snapshot <consistency-group-snapshot>
        )
        [--description <description>]
        [--availability-zone <availability-zone>]
        [<name>]

--volume-type <volume-type>

  Volume type of this consistency group (name or ID)

--source <consistency-group>

  Existing consistency group (name or ID)

--snapshot <consistency-group-snapshot>

  Existing consistency group snapshot (name or ID)

--description <description>

  Description of this consistency group

--availability-zone <availability-zone>

  Availability zone for this consistency group (not available if creating consistency group from source)

name

  Name of new consistency group (default to None)

### consistency group delete

Delete consistency group(s).

    openstack consistency group delete
        [--force]
        <consistency-group>
        [<consistency-group> ...]

--force

  Allow delete in state other than error or available

consistency-group

  Consistency group(s) to delete (name or ID)

### consistency group list

List consistency groups.

    openstack consistency group list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show details for all projects. Admin only. (defaults to False)

--long

  List additional fields in output

### consistency group remove volume

Remove volume(s) from consistency group

    openstack consistency group remove volume
        <consistency-group>
        <volume>
        [<volume> ...]

consistency-group

  Consistency group containing <volume> (name or ID)

volume

  Volume(s) to remove from <consistency-group> (name or ID) (repeat option to remove multiple volumes)

### consistency group set

Set consistency group properties

    openstack consistency group set
        [--name <name>]
        [--description <description>]
        <consistency-group>

--name <name>

  New consistency group name

--description <description>

  New consistency group description

consistency-group

  Consistency group to modify (name or ID)

### consistency group show

Display consistency group details.

    openstack consistency group show <consistency-group>

consistency-group

  Consistency group to display (name or ID)

## consistency group snapshot

### consistency group snapshot create

Create new consistency group snapshot.

    openstack consistency group snapshot create
        [--consistency-group <consistency-group>]
        [--description <description>]
        [<snapshot-name>]

--consistency-group <consistency-group>

  Consistency group to snapshot (name or ID) (default to be the same as <snapshot-name>)

--description <description>

  Description of this consistency group snapshot

snapshot-name

  Name of new consistency group snapshot (default to None)

### consistency group snapshot delete

Delete consistency group snapshot(s).

    openstack consistency group snapshot delete
        <consistency-group-snapshot>
        [<consistency-group-snapshot> ...]

consistency-group-snapshot

  Consistency group snapshot(s) to delete (name or ID)

### consistency group snapshot list

List consistency group snapshots.

    openstack consistency group snapshot list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--long]
        [--status <status>]
        [--consistency-group <consistency-group>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show detail for all projects (admin only) (defaults to False)

--long

  List additional fields in output

--status <status>

  Filters results by a status (“available”, “error”, “creating”, “deleting” or “error_deleting”)

--consistency-group <consistency-group>

  Filters results by a consistency group (name or ID)

### consistency group snapshot show

Display consistency group snapshot details

    openstack consistency group snapshot show <consistency-group-snapshot>

consistency-group-snapshot

  Consistency group snapshot to display (name or ID)

## volume backend

### volume backend capability show

Show capability command

    openstack volume backend capability show
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <host>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

host

  List capabilities of specified host (host@backend-name)

### volume backend pool list

List pool command

    openstack volume backend pool list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  Show detailed information about pools.

## volume backup

### volume backup create

Create new volume backup

    openstack volume backup create
        [--name <name>]
        [--description <description>]
        [--container <container>]
        [--snapshot <snapshot>]
        [--force]
        [--incremental]
        [--no-incremental]
        <volume>

--name <name>

  Name of the backup

--description <description>

  Description of the backup

--container <container>

  Optional backup container name

--snapshot <snapshot>

  Snapshot to backup (name or ID)

--force

  Allow to back up an in-use volume

--incremental

  Perform an incremental backup

--no-incremental

  Do not perform an incremental backup

volume

  Volume to backup (name or ID)

### volume backup delete

Delete volume backup(s)

    openstack volume backup delete [--force] <backup> [<backup> ...]

--force

  Allow delete in state other than error or available

backup

  Backup(s) to delete (name or ID)

### volume backup list

List volume backups

    openstack volume backup list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]
        [--name <name>]
        [--status <status>]
        [--volume <volume>]
        [--limit <limit>]
        [--marker <marker>]
        [--max-items <max-items>]
        [--all-projects]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--name <name>

  Filters results by the backup name

--status <status>

  Filters results by the backup status, one of: creating, available, deleting, error, restoring or error_restoring

--volume <volume>

  Filters results by the volume which they backup (name or ID)

--limit <limit>

  The maximum number of entries to return per page. If the value exceeds the server-defined maximum, then the server-defined value will be used. Note that this controls the page size, not the total number of entries returned. Use –max-items to limit the total number of entries returned.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

--max-items <max-items>

  The maximum number of entries to return in total, paging through multiple requests if needed. Use –limit to control the page size.

--all-projects

  Include all projects (admin only)

### volume backup restore

Restore volume backup

    openstack volume backup restore [--force] <backup> [<volume>]

--force

  Restore the backup to an existing volume (default to False)

backup

  Backup to restore (name or ID)

volume

  Volume to restore to (name or ID for existing volume, name only for new volume) (default to None)

### volume backup set

Set volume backup properties

    openstack volume backup set [--state <state>] <backup>

--state <state>

  New backup state (“available” or “error”) (admin only) (This option simply changes the state of the backup in the database with no regard to actual status; exercise caution when using)

backup

  Backup to modify (name or ID)

### volume backup show

Display volume backup details

    openstack volume backup show <backup>

backup

  Backup to display (name or ID)

### volume backup record export

Export volume backup details.

Backup information can be imported into a new service instance to be able to restore.

    openstack volume backup record export <backup>

backup

  Backup to export (name or ID)

### volume backup record import

Import volume backup details.

Exported backup details contain the metadata necessary to restore to a new or rebuilt service instance

    openstack volume backup record import
        <backup_service>
        <backup_metadata>

backup_service

  Backup service containing the backup.

backup_metadata

  Encoded backup metadata from export.

## volume host

### volume host failover

Failover volume host to different backend

    openstack volume host failover
        --volume-backend <backend-id>
        <host-name>

--volume-backend <backend-id>

  The ID of the volume backend replication target where the host will failover to (required)

host-name

  Name of volume host

### volume host set

Set volume host properties

    openstack volume host set [--disable | --enable] <host-name>

--disable

  Freeze and disable the specified volume host

--enable

  Thaw and enable the specified volume host

host-name

  Name of volume host

## volume qos

### volume qos associate

Associate a QoS specification to a volume type

    openstack volume qos associate <qos-spec> <volume-type>

qos-spec

  QoS specification to modify (name or ID)

volume-type

  Volume type to associate the QoS (name or ID)

### volume qos create

Create new QoS specification

    openstack volume qos create
        [--consumer <consumer>]
        [--property <key=value>]
        <name>

--consumer <consumer>

  Consumer of the QoS. Valid consumers: back-end, both, front-end (defaults to ‘both’)

--property <key=value>

  Set a QoS specification property (repeat option to set multiple properties)

name

  New QoS specification name

### volume qos delete

Delete QoS specification

    openstack volume qos delete [--force] <qos-spec> [<qos-spec> ...]

--force

  Allow to delete in-use QoS specification(s)

qos-spec

  QoS specification(s) to delete (name or ID)

### volume qos disassociate

Disassociate a QoS specification from a volume type

    openstack volume qos disassociate
        [--volume-type <volume-type> | --all]
        <qos-spec>

--volume-type <volume-type>

  Volume type to disassociate the QoS from (name or ID)

--all

  Disassociate the QoS from every volume type

qos-spec

  QoS specification to modify (name or ID)

### volume qos list

List QoS specifications

    openstack volume qos list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

### volume qos set

Set QoS specification properties

    openstack volume qos set
        [--no-property]
        [--property <key=value>]
        <qos-spec>

--no-property

  Remove all properties from <qos-spec> (specify both –no-property and –property to remove the current properties before setting new properties)

--property <key=value>

  Property to add or modify for this QoS specification (repeat option to set multiple properties)

qos-spec

  QoS specification to modify (name or ID)

### volume qos show

Display QoS specification details

    openstack volume qos show <qos-spec>

qos-spec

  QoS specification to display (name or ID)

### volume qos unset

Unset QoS specification properties

    openstack volume qos unset [--property <key>] <qos-spec>

--property <key>

  Property to remove from the QoS specification. (repeat option to unset multiple properties)

qos-spec

  QoS specification to modify (name or ID)

## volume service

### volume service list

List service command

    openstack volume service list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--host <host>]
        [--service <service>]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--host <host>

  List services on specified host (name only)

--service <service>

  List only specified service (name only)

--long

  List additional fields in output

### volume service set

Set volume service properties

    openstack volume service set
        [--enable | --disable]
        [--disable-reason <reason>]
        <host>
        <service>

--enable

  Enable volume service

--disable

  Disable volume service

--disable-reason <reason>

  Reason for disabling the service (should be used with –disable option)

host

  Name of host

service

  Name of service (Binary name)

## volume snapshot

### volume snapshot create

Create new volume snapshot

    openstack volume snapshot create
        [--volume <volume>]
        [--description <description>]
        [--force]
        [--property <key=value>]
        [--remote-source <key=value>]
        <snapshot-name>

--volume <volume>

  Volume to snapshot (name or ID) (default is <snapshot-name>)

--description <description>

  Description of the snapshot

--force

  Create a snapshot attached to an instance. Default is False

--property <key=value>

  Set a property to this snapshot (repeat option to set multiple properties)

--remote-source <key=value>

  The attribute(s) of the existing remote volume snapshot (admin required) (repeat option to specify multiple attributes) e.g.: ‘–remote-source source-name=test_name –remote-source source-id=test_id’

snapshot-name

  Name of the new snapshot

### volume snapshot delete

Delete volume snapshot(s)

    openstack volume snapshot delete [--force] <snapshot> [<snapshot> ...]

--force

  Attempt forced removal of snapshot(s), regardless of state (defaults to False)

snapshot

  Snapshot(s) to delete (name or ID)

### volume snapshot list

List volume snapshots

    openstack volume snapshot list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--project <project>]
        [--project-domain <project-domain>]
        [--long]
        [--name <name>]
        [--status <status>]
        [--volume <volume>]
        [--limit <limit>]
        [--marker <marker>]
        [--max-items <max-items>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Include all projects (admin only)

--project <project>

  Filter results by project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--long

  List additional fields in output

--name <name>

  Filters results by a name.

--status <status>

  Filters results by a status. (‘available’, ‘error’, ‘creating’, ‘deleting’ or ‘error_deleting’)

--volume <volume>

  Filters results by a volume (name or ID).

--limit <limit>

  The maximum number of entries to return per page. If the value exceeds the server-defined maximum, then the server-defined value will be used. Note that this controls the page size, not the total number of entries returned. Use –max-items to limit the total number of entries returned.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

--max-items <max-items>

  The maximum number of entries to return in total, paging through multiple requests if needed. Use –limit to control the page size.

### volume snapshot set

Set volume snapshot properties

    openstack volume snapshot set
        [--name <name>]
        [--description <description>]
        [--no-property]
        [--property <key=value>]
        [--state <state>]
        <snapshot>

--name <name>

  New snapshot name

--description <description>

  New snapshot description

--no-property

  Remove all properties from <snapshot> (specify both –no-property and –property to remove the current properties before setting new properties.)

--property <key=value>

  Property to add/change for this snapshot (repeat option to set multiple properties)

--state <state>

  New snapshot state. (“available”, “error”, “creating”, “deleting”, or “error_deleting”) (admin only) (This option simply changes the state of the snapshot in the database with no regard to actual status, exercise caution when using)

snapshot

  Snapshot to modify (name or ID)

### volume snapshot show

Display volume snapshot details

    openstack volume snapshot show <snapshot>

snapshot

  Snapshot to display (name or ID)

### volume snapshot unset

Unset volume snapshot properties

    openstack volume snapshot unset [--property <key>] <snapshot>

--property <key>

  Property to remove from snapshot (repeat option to remove multiple properties)

snapshot

  Snapshot to modify (name or ID)

## volume transfer request

### volume transfer request accept

Accept volume transfer request.

    openstack volume transfer request accept
        --auth-key <key>
        <transfer-request-id>

--auth-key <key>

  Volume transfer request authentication key

transfer-request-id

  Volume transfer request to accept (ID only)

### volume transfer request create

Create volume transfer request.

    openstack volume transfer request create [--name <name>] <volume>

--name <name>

  New transfer request name (default to None)

volume

  Volume to transfer (name or ID)

### volume transfer request delete

Delete volume transfer request(s).

    openstack volume transfer request delete
        <transfer-request>
        [<transfer-request> ...]

transfer-request

  Volume transfer request(s) to delete (name or ID)

### volume transfer request list

Lists all volume transfer requests.

    openstack volume transfer request list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Include all projects (admin only)

### volume transfer request show

Show volume transfer request details.

    openstack volume transfer request show <transfer-request>

transfer-request

  Volume transfer request to display (name or ID)

## volume type

### volume type create

Create new volume type

    openstack volume type create
        [--description <description>]
        [--public
        |
        --private
        ]
        [--property <key=value>]
        [--multiattach]
        [--cacheable]
        [--replicated]
        [--availability-zone AVAILABILITY_ZONES]
        [--project <project>]
        [--project-domain <project-domain>]
        [--encryption-provider <provider>]
        [--encryption-cipher <cipher>]
        [--encryption-key-size <key-size>]
        [--encryption-control-location <control-location>]
        <name>

--description <description>

  Volume type description

--public

  Volume type is accessible to the public

--private

  Volume type is not accessible to the public

--property <key=value>

  Set a property on this volume type (repeat option to set multiple properties)

--multiattach

  Enable multi-attach for this volume type (this is an alias for ‘–property multiattach=<is> True’) (requires driver support)

--cacheable

  Enable caching for this volume type (this is an alias for ‘–property cacheable=<is> True’) (requires driver support)

--replicated

  Enabled replication for this volume type (this is an alias for ‘–property replication_enabled=<is> True’) (requires driver support)

--availability-zone <AVAILABILITY_ZONES>

  Set an availability zone for this volume type (this is an alias for ‘–property RESKEY:availability_zones:<az>’) (repeat option to set multiple availability zones)

--project <project>

  Allow <project> to access private type (name or ID) (must be used with –private option)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--encryption-provider <provider>

  Set the encryption provider format for this volume type (e.g “luks” or “plain”) (admin only) (this option is required when setting encryption type of a volume; consider using other encryption options such as: “–encryption-cipher”, “–encryption-key-size” and “–encryption-control-location”)

--encryption-cipher <cipher>

  Set the encryption algorithm or mode for this volume type (e.g “aes-xts-plain64”) (admin only)

--encryption-key-size <key-size>

  Set the size of the encryption key of this volume type (e.g “128” or “256”) (admin only)

--encryption-control-location <control-location>

  Set the notional service where the encryption is performed (“front-end” or “back-end”) (admin only) (The default value for this option is “front-end” when setting encryption type of a volume. Consider using other encryption options such as: “–encryption-cipher”, “–encryption-key-size” and “–encryption-provider”)

name

  Volume type name

### volume type delete

Delete volume type(s)

    openstack volume type delete <volume-type> [<volume-type> ...]

volume-type

  Volume type(s) to delete (name or ID)

### volume type list

List volume types

    openstack volume type list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]
        [--default | --public | --private]
        [--encryption-type]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--default

  List the default volume type

--public

  List only public types

--private

  List only private types (admin only)

--encryption-type

  Display encryption information for each volume type (admin only)

### volume type set

Set volume type properties

    openstack volume type set
        [--name <name>]
        [--description <description>]
        [--property <key=value>]
        [--multiattach]
        [--cacheable]
        [--replicated]
        [--availability-zone AVAILABILITY_ZONES]
        [--project <project>]
        [--public | --private]
        [--project-domain <project-domain>]
        [--encryption-provider <provider>]
        [--encryption-cipher <cipher>]
        [--encryption-key-size <key-size>]
        [--encryption-control-location <control-location>]
        <volume-type>

--name <name>

  Set volume type name

--description <description>

  Set volume type description

--property <key=value>

  Set a property on this volume type (repeat option to set multiple properties)

--multiattach

  Enable multi-attach for this volume type (this is an alias for ‘–property multiattach=<is> True’) (requires driver support)

--cacheable

  Enable caching for this volume type (this is an alias for ‘–property cacheable=<is> True’) (requires driver support)

--replicated

  Enabled replication for this volume type (this is an alias for ‘–property replication_enabled=<is> True’) (requires driver support)

--availability-zone <AVAILABILITY_ZONES>

  Set an availability zone for this volume type (this is an alias for ‘–property RESKEY:availability_zones:<az>’) (repeat option to set multiple availability zones)

--project <project>

  Set volume type access to project (name or ID) (admin only)

--public

  Volume type is accessible to the public

--private

  Volume type is not accessible to the public

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--encryption-provider <provider>

  Set the encryption provider format for this volume type (e.g “luks” or “plain”) (admin only) (This option is required when setting encryption type of a volume for the first time. Consider using other encryption options such as: “–encryption-cipher”, “–encryption-key-size” and “–encryption-control-location”)

--encryption-cipher <cipher>

  Set the encryption algorithm or mode for this volume type (e.g “aes-xts-plain64”) (admin only)

--encryption-key-size <key-size>

  Set the size of the encryption key of this volume type (e.g “128” or “256”) (admin only)

--encryption-control-location <control-location>

  Set the notional service where the encryption is performed (“front-end” or “back-end”) (admin only) (The default value for this option is “front-end” when setting encryption type of a volume for the first time. Consider using other encryption options such as: “–encryption-cipher”, “–encryption-key-size” and “–encryption-provider”)

volume-type

  Volume type to modify (name or ID)

### volume type show

Display volume type details

    openstack volume type show [--encryption-type] <volume-type>

--encryption-type

  Display encryption information of this volume type (admin only)

volume-type

  Volume type to display (name or ID)

### volume type unset

Unset volume type properties

    openstack volume type unset
        [--property <key>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--encryption-type]
        <volume-type>

--property <key>

  Remove a property from this volume type (repeat option to remove multiple properties)

--project <project>

  Removes volume type access to project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--encryption-type

  Remove the encryption type for this volume type (admin only)

volume-type

  Volume type to modify (name or ID)

## volume

### volume create

Create new volume

    openstack volume create
        [--size <size>]
        [--type <volume-type>]
        [--image
        <image>
        |
        --snapshot <snapshot>
        |
        --source <volume>
        ]
        [--description <description>]
        [--availability-zone <availability-zone>]
        [--consistency-group consistency-group>]
        [--property <key=value>]
        [--hint <key=value>]
        [--bootable | --non-bootable]
        [--read-only
        |
        --read-write
        ]
        [<name>]

--size <size>

  Volume size in GB (required unless –snapshot or –source specified)

--type <volume-type>

  Set the type of volume

--image <image>

  Use <image> as source of volume (name or ID)

--snapshot <snapshot>

  Use <snapshot> as source of volume (name or ID)

--source <volume>

  Volume to clone (name or ID)

--description <description>

  Volume description

--availability-zone <availability-zone>

  Create volume in <availability-zone>

--consistency-group consistency-group>

  Consistency group where the new volume belongs to

--property <key=value>

  Set a property to this volume (repeat option to set multiple properties)

--hint <key=value>

  Arbitrary scheduler hint key-value pairs to help creating a volume. Repeat the option to set multiple hints. ‘same_host’ and ‘different_host’ get values appended when repeated, all other keys take the last given value

--bootable

  Mark volume as bootable

--non-bootable

  Mark volume as non-bootable (default)

--read-only

  Set volume to read-only access mode

--read-write

  Set volume to read-write access mode (default)

name

  Volume name

### volume delete

Delete volume(s)

    openstack volume delete [--force | --cascade] <volume> [<volume> ...]

--force

  Attempt forced removal of volume(s), regardless of state (defaults to False)

--cascade

  Remove any snapshots along with volume(s) (defaults to False)

volume

  Volume(s) to delete (name or ID)

### volume list

List volumes

    openstack volume list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--project <project>]
        [--project-domain <project-domain>]
        [--user <user>]
        [--user-domain <user-domain>]
        [--name <name>]
        [--status <status>]
        [--all-projects]
        [--long]
        [--limit <limit>]
        [--marker <marker>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project <project>

  Filter results by project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--user <user>

  Filter results by user (name or ID) (admin only)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

--name <name>

  Filter results by volume name

--status <status>

  Filter results by status

--all-projects

  Include all projects (admin only)

--long

  List additional fields in output

--limit <limit>

  The maximum number of entries to return per page. If the value exceeds the server-defined maximum, then the server-defined value will be used. Note that this controls the page size, not the total number of entries returned. Use –max-items to limit the total number of entries returned.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

### volume migrate

Migrate volume to a new host

    openstack volume migrate
        --host <host>
        [--force-host-copy]
        [--lock-volume]
        <volume>

--host <host>

  Destination host (takes the form: host@backend-name#pool)

--force-host-copy

  Enable generic host-based force-migration, which bypasses driver optimizations

--lock-volume

  If specified, the volume state will be locked and will not allow a migration to be aborted (possibly by another operation)

volume

  Volume to migrate (name or ID)

### volume set

Set volume properties

    openstack volume set
        [--name <name>]
        [--size <size>]
        [--description <description>]
        [--no-property]
        [--property <key=value>]
        [--image-property <key=value>]
        [--state <state>]
        [--attached | --detached]
        [--type <volume-type>]
        [--migration-policy <migration-policy>]
        [--bootable | --non-bootable]
        [--read-only
        |
        --read-write
        ]
        <volume>

--name <name>

  New volume name

--size <size>

  Extend volume size in GB

--description <description>

  New volume description

--no-property

  Remove all properties from <volume> (specify both –no-property and –property to remove the current properties before setting new properties.)

--property <key=value>

  Set a property on this volume (repeat option to set multiple properties)

--image-property <key=value>

  Set an image property on this volume (repeat option to set multiple image properties)

--state <state>

  New volume state (“available”, “error”, “creating”, “deleting”, “in-use”, “attaching”, “detaching”, “error_deleting” or “maintenance”) (admin only) (This option simply changes the state of the volume in the database with no regard to actual status, exercise caution when using)

--attached

  Set volume attachment status to “attached” (admin only) (This option simply changes the state of the volume in the database with no regard to actual status, exercise caution when using)

--detached

  Set volume attachment status to “detached” (admin only) (This option simply changes the state of the volume in the database with no regard to actual status, exercise caution when using)

--type <volume-type>

  New volume type (name or ID)

--migration-policy <migration-policy>

  Migration policy while re-typing volume (“never” or “on-demand”, default is “never” ) (available only when –type option is specified)

--bootable

  Mark volume as bootable

--non-bootable

  Mark volume as non-bootable

--read-only

  Set volume to read-only access mode

--read-write

  Set volume to read-write access mode

volume

  Volume to modify (name or ID)

### volume show

Display volume details

    openstack volume show <volume>

volume

  Volume to display (name or ID)

### volume unset

Unset volume properties

    openstack volume unset
        [--property <key>]
        [--image-property <key>]
        <volume>

--property <key>

  Remove a property from volume (repeat option to remove multiple properties)

--image-property <key>

  Remove an image property from volume (repeat option to remove multiple image properties)

volume

  Volume to modify (name or ID)

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.